DROP TABLESPACE()

NAME
DROP TABLESPACE - remove a tablespace

SYNOPSIS

DROP TABLESPACE [ IF EXISTS ] tablespacename

DESCRIPTION

DROP TABLESPACE removes a tablespace from the system.

A tablespace can only be dropped by its owner or a superuser. The tablespace must be empty of all database objects before it can be dropped. It is possible that objects in other databases might still reside in the tablespace even if no objects in the current database are using the tablespace. Also, if the tablespace is listed in the temp_tablespaces setting of any active session, the DROP might fail due to temporary files residing in the tablespace.

PARAMETERS

IF EXISTS
    Do not throw an error if the tablespace does not exist. A notice is issued in this case.

tablespacename
    The name of a tablespace.

NOTES

DROP TABLESPACE cannot be executed inside a transaction block.

EXAMPLES

To remove tablespace mystuff from the system:

DROP TABLESPACE mystuff;

COMPATIBILITY

DROP TABLESPACE is a PostgreSQL extension.

SEE ALSO
CREATE TABLESPACE [create_tablespace(7)], ALTER TABLESPACE [alter_tablespace(l)]